Skip to content
GET /unified/instant-messaging/channels/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspaceobject

Workspace to which the channel belongs.

2 supported2 required
Microsoft 365
required
Microsoft Teams
required
idstring
required·

Unique identifier for the workspace.

typestring

Type of the channel.

Possible values:
channeldmgroup_dmprivate_channel
2 supported
Microsoft 365
supported
channeldmgroup_dm
Microsoft Teams
supported
channeldmgroup_dm
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the channel.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
created_atstring · date-time

Date and time when the channel was created.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
created_byobject
1 supported
Slack
supported
idstring

Unique identifier for the member.

descriptionstring

Description of the channel.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
groupobject

Group to which the channel belongs.

2 supported
Microsoft 365
supported
Microsoft Teams
supported
idstring

Unique identifier for the group.

namestring

Name of the group.

is_memberboolean

Is the current authed user or application is a member of the channel. This might not directly mean that the user or application can post messages on the channel.

1 supported
Slack
supported
namestring

Name of the channel.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
organizationobject

Organization to which the channel belongs.

idstring

Unique identifier for the organization.

namestring

Name of the organization.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status of the channel.

Possible values:
activearchived
3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
typestring

Type of the channel.

Possible values:
channelprivate_channeldmgroup_dm
3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
updated_atstring · date-time

Date and time when the channel was last updated.

1 supported
Slack
supported
workspaceobject

Workspace to which the channel belongs.

2 supported
Microsoft 365
supported
Microsoft Teams
supported
idstring

Unique identifier for the workspace.

namestring

Name of the workspace.

truto unified instant-messaging channels '<resource_id>' \
  -m get \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'instant-messaging',
  'channels',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "instant-messaging",
        "channels",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/instant-messaging/channels/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/instant-messaging/channels/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/instant-messaging/channels/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())